/* TOOLBAR.h 
 *
 *  Definicoes para usar controle IupToolbar
 */

/* definicoes comuns a todos os controles */

#ifndef iuptoolbar_h
#define iuptoolbar_h

#include <iupcpi.h>

/* callbacks */
#ifndef ICTL_BUTTON_PRESS_CB 
#define ICTL_BUTTON_PRESS_CB "BUTTON_PRESS_CB"
#endif

#ifndef ICTL_BUTTON_RELEASE_CB
#define ICTL_BUTTON_RELEASE_CB "BUTTON_RELEASE_CB"
#endif

#ifndef IUP_FGCOLOR
#define IUP_FGCOLOR "FGCOLOR"
#endif

#ifndef IUP_BGCOLOR
#define IUP_BGCOLOR "BGCOLOR"
#endif

/* iuptoolbar */

#ifdef __cplusplus
extern "C" {
#endif

Ihandle *IupToolbar( char *orientacao, Ihandle *first, ... );
Iclass* IupToolbarClass(void);
void IupToolbarOpen( void );

#define IC_TOOLBAR IupToolbarClass()

#ifdef __cplusplus
}
#endif

#endif /* iuptoolbar_h */

