/** MODIFICADO POR JULIANA **/

/*
 * CGI 2000
 * Trabalho 3: Editor de objetos
 * Autores: pmario@tecgraf.puc-rio.br, 
 *          gattass@tecgraf.puc-rio.br
 * 12 de maio de 2000
 * Ultima Alteracao: 20/5/2000
 *     Marcelo Gattass
 */

/**************************************
 * Includes de bibliotecas do TecGraf *
 **************************************/

#include <iup.h>

#include "interface.h"
#include "callbacks.h"
#include "operacao.h"

/* Main ---------------------------------------------------------------------*/

void main(void)
{
  /* Inicializa o IUP  em C */
  IupOpen();

  initInterface();

  /* Registrando a Callbacks */
  IupSetFunction("open_act", (Icallback) open_cb);
  IupSetFunction("save_act", (Icallback) save_cb);
  IupSetFunction("exit_act", (Icallback) exit_cb);
  IupSetFunction("info_act", (Icallback) info_cb);
  IupSetFunction("button_act", (Icallback) button_cb);
  IupSetFunction("motion_act", (Icallback) motion_cb);
  IupSetFunction("resize_act", (Icallback) resize_cb);
  IupSetFunction("repaint_act", (Icallback) repaint_cb);
  IupSetFunction("sel_act", (Icallback) sel_cb);
  IupSetFunction("rect_act", (Icallback) rect_cb);
  IupSetFunction("ellipse_act", (Icallback) ellipse_cb);
  IupSetFunction("triang_act", (Icallback) triang_cb);
 
   IupSetFunction( "AtoNovo", ( Icallback )iNovoCb ) ;
   IupSetFunction( "AtoSalvarComo", ( Icallback )iSalvarComoCb ) ;
   IupSetFunction( "AtoAjuda", ( Icallback )iAjudaCb ) ;
   IupSetFunction( "del_act", ( Icallback )iExclusaoCb ) ; 
   
   szGuardarNomArq( " " ) ; /* inicializa nome de arquivo */

  IupMainLoop();
  IupClose();
}


