#ifndef IUPCLASS_H
#define IUPCLASS_H

#include "iupcpi.h" 

#ifdef __cplusplus
extern "C" {
#endif

/* tipo interno */
struct _Iclass{
   char* name;
   char* format;           /* n: nome, s: string, c: controle de interface */
   int   (*setnaturalsize) (Ihandle*);
   void  (*setcurrentsize) (Ihandle*, int w, int h);
   int   (*getsize)        (Ihandle*, int* w, int* h);
   void  (*setposition)    (Ihandle*, int w, int h);
   Ihandle*(*create)      (Iclass*, void** array);
   void  (*destroy)        (Ihandle*);
   void  (*map)            (Ihandle*, Ihandle* parent);
   void  (*unmap)          (Ihandle*);
   void  (*setattr)        (Ihandle*, char* attr, char* value);
   char* (*getattr)        (Ihandle*, char* attr);
   char* (*getdefaultattr) (Ihandle*, char* attr);
   int   (*popup) (Ihandle*, int x, int y);
};

#ifndef _IUPCLASS_TYPE
#define _IUPCLASS_TYPE
typedef struct _Iclass Iclass;
#endif /* _IUPCLASS_TYPE */

#ifdef __cplusplus
}
#endif

#endif /* IUPCLASS_H */



