#ifndef IUPCTR_H
#define IUPCTR_H

#include "iupclass.h"

#ifdef __cplusplus
extern "C" {
#endif

Ihandle* IupCreateFromArray( Iclass* iclass, void** args );

int   ctrsetnaturalsize (Ihandle* self);
void  ctrsetcurrentsize (Ihandle* self, int w, int h);
int   ctrgetsize (Ihandle* self, int* w, int* h);
int   ctrgetsizevar (Ihandle* self, int* w, int* h);
void  ctrsetposition (Ihandle* self, int w, int h);
Ihandle* ctrcreate (Iclass* self, void** array);
void  ctrdestroy (Ihandle* self);
void  ctrmap (Ihandle* self, Ihandle* parent);
void  ctrunmap (Ihandle* self);
void  ctrsetattr (Ihandle* self, char* attr, char* value);
char* ctrgetattr (Ihandle* self, char* attr);
char* ctrgetdefaultattr (Ihandle* self, char* attr);

int   iupmethSetNaturalSize( Ihandle* self );
void  iupmethSetCurrentSize( Ihandle* self, int w, int h );
int   iupmethGetSize( Ihandle* self, int* w, int* h );
void  iupmethSetPosition ( Ihandle* self, int w, int h );
void  iupmethDestroy( Ihandle* self );
void  iupmethMap( Ihandle* self, Ihandle* parent );
void  iupmethUnmap( Ihandle* self );
void  iupmethSetAttribute( Ihandle* self, char* attr, char* value );
char* iupmethGetAttribute( Ihandle* self, char* attr );
char* iupmethGetDefaultAttr( Ihandle* self, char* attr );
char* iupmethGetClassName( Ihandle* self );

#ifdef __cplusplus
}
#endif

#endif


