/* IUPDIAL.h 
 *
 *  Definicoes para utilizar o controle IupDial
 */

#ifndef iupdial_h
#define iupdial_h


/* callbacks */
#ifndef ICTL_MOUSEMOVE_CB
#define ICTL_MOUSEMOVE_CB "MOUSEMOVE_CB"
#endif

#ifndef ICTL_BUTTON_PRESS_CB 
#define ICTL_BUTTON_PRESS_CB "BUTTON_PRESS_CB"
#endif

#ifndef ICTL_BUTTON_RELEASE_CB
#define ICTL_BUTTON_RELEASE_CB "BUTTON_RELEASE_CB"
#endif

#ifndef ICTL_DENSITY
#define ICTL_DENSITY "DENSITY"
#endif

/* Atributos */
#ifndef ICTL_HORIZONTAL
#define ICTL_HORIZONTAL "HORIZONTAL"
#endif

#ifndef ICTL_VERTICAL
#define ICTL_VERTICAL "VERTICAL"
#endif

#ifndef ICTL_CIRCULAR
#define ICTL_CIRCULAR "CIRCULAR"
#endif

#ifndef IUP_FGCOLOR
#define IUP_FGCOLOR "FGCOLOR"
#endif

#ifndef IUP_BGCOLOR
#define IUP_BGCOLOR "BGCOLOR"
#endif

/* iupdial */

#ifdef __cplusplus
extern "C" {
#endif

Ihandle *IupDial(char *);
void IupDialOpen(void);

#ifdef __cplusplus
}
#endif

#endif

