/*
%M Gerenciador de desenho no canvas iup
%a Marcelo Gattass
%d 28 mai 2000
%p Editor de Objetos (T3 do curso CGI2000)
*/

#ifndef CANVAS_H
#define CANVAS_H 1

#include <iup.h>

void canvasCreate(Ihandle *iup_canvas);
void canvasClear(Ihandle *iup_canvas);
void canvasDestroy(Ihandle *iup_canvas);

int canvasCorrectYAxis(Ihandle *iup_canvas, int y);

void canvasDrawTempLine(Ihandle *iup_canvas, int x0, int y0, int x1, int y1);
void canvasDrawLine(Ihandle *iup_canvas, int x0, int y0, int x1, int y1);
void canvasDrawTempRect(Ihandle *iup_canvas, int x0, int y0, int x1, int y1);
void canvasDrawRect(Ihandle *iup_canvas, int x0, int y0, int x1, int y1);
void canvasDrawTempEllipse(Ihandle *iup_canvas, int x0, int y0, int x1, int y1);
void canvasDrawEllipse(Ihandle *iup_canvas, int x0, int y0, int x1, int y1);

#endif

